#!/bin/csh

# This very basic csh script runs the Firefly program on a job.inp file
# and writes the job.out output file and compressed PUNCH file back
# into the directory where the job was executed at the end of the run.
#

setenv FIREFLY_JOBDIR `pwd`
setenv FIREFLY_BASENAME `echo $1 | awk -F".inp" '{print $1}'`

# The path to your scratch directory of choice goes below

setenv FIREFLY_SCRDIR "/tmp/$LOGNAME.$$"
mkdir $FIREFLY_SCRDIR

# The path to your Linux Firefly installation goes below

setenv FIREFLY_EXEDIR "/home/mdb/apps/firefly/ff820"

ln -s -i $FIREFLY_EXEDIR/firefly820 $FIREFLY_SCRDIR/firefly820
ln -s -i $FIREFLY_EXEDIR/fastdiag.ex $FIREFLY_SCRDIR/fastdiag.ex
ln -s -i $FIREFLY_EXEDIR/p4stuff.ex $FIREFLY_SCRDIR/p4stuff.ex
ln -s -i $FIREFLY_EXEDIR/pcgp2p.ex $FIREFLY_SCRDIR/pcgp2p.ex
ln -s -i $FIREFLY_EXEDIR/dftd.ex $FIREFLY_SCRDIR/dftd.ex
ln -s -i $FIREFLY_EXEDIR/extfi.ex $FIREFLY_SCRDIR/extfi.ex
ln -s -i $FIREFLY_EXEDIR/ffp2p.ex $FIREFLY_SCRDIR/ffp2p.ex

cp $FIREFLY_JOBDIR/${FIREFLY_BASENAME}.inp $FIREFLY_SCRDIR

cd $FIREFLY_SCRDIR

# Note there are other flags that can be placed here; e.g. nprocs for parallel runs for speed

$FIREFLY_SCRDIR/firefly820 -i $FIREFLY_SCRDIR/${FIREFLY_BASENAME}.inp -o $FIREFLY_JOBDIR/${FIREFLY_BASENAME}.out

wait

cp $FIREFLY_SCRDIR/PUNCH $FIREFLY_JOBDIR/${FIREFLY_BASENAME}.punch
gzip $FIREFLY_JOBDIR/${FIREFLY_BASENAME}.punch

cd $FIREFLY_JOBDIR
rm -rf $FIREFLY_SCRDIR

